%define tp_glib_ver 0.17.5

%global mc_plugindir %{_libdir}/mission-control-plugins.0

Name:           telepathy-mission-control
Version:        5.16.3
Release:        6%{?dist}
Epoch:          1
Summary:        Central control for Telepathy connection manager

License:        LGPLv2
URL:            http://telepathy.freedesktop.org/wiki/Mission_Control
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz

## upstream patches
# fix failing avatar test, https://bugs.freedesktop.org/show_bug.cgi?id=71001
Patch0049: 0049-account-manager-avatar.py-fix-race-condition-by-comb.patch

BuildRequires:  chrpath
BuildRequires:  dbus-python
BuildRequires:  glib2-devel
BuildRequires:  libxslt-devel
BuildRequires:  NetworkManager-glib-devel
BuildRequires:  pygobject2
BuildRequires:  python-twisted-core
BuildRequires:  telepathy-glib-devel >= %{tp_glib_ver}
BuildRequires:  gtk-doc
BuildRequires:  pkgconfig


%description
Mission Control, or MC, is a Telepathy component providing a way for
"end-user" applications to abstract some of the details of connection
managers, to provide a simple way to manipulate a bunch of connection
managers at once, and to remove the need to have in each program the
account definitions and credentials.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}
%description    devel
The %{name}-devel package contains libraries and header
files for developing applications that use %{name}.


%prep
%setup -q
%patch0049 -p1 -b .0049


%build
%configure \
  --disable-static \
  --enable-gtk-doc \
  --with-connectivity=nm \
  --disable-upower

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

# create/own plugin dir
mkdir -p %{buildroot}%{mc_plugindir}

# Remove rpaths if present
chrpath --list   %{buildroot}%{_libexecdir}/mission-control-5 && \
chrpath --delete %{buildroot}%{_libexecdir}/mission-control-5
# Remove .la files
rm -fv %{buildroot}%{_libdir}/lib*.la


%check
PKG_CONFIG_PATH=%{buildroot}%{_libdir}/pkgconfig
test "%{?mc_plugindir}" = "$(pkg-config --variable=plugindir mission-control-plugins 2>/dev/null)"
make check ||:


%post -p /sbin/ldconfig


%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc AUTHORS NEWS
%{_bindir}/mc-tool
%{_bindir}/mc-wait-for-name
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.AccountManager.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.MissionControl5.service
%{_datadir}/glib-2.0/schemas/im.telepathy.MissionControl.FromEmpathy.gschema.xml
%{_libdir}/libmission-control-plugins.so.0*
%dir %{mc_plugindir}
%{_libexecdir}/mission-control-5
%{_mandir}/man1/mc-tool.1*
%{_mandir}/man1/mc-wait-for-name.1*

%files devel
%doc %{_datadir}/gtk-doc/html/mission-control-plugins
%{_includedir}/mission-control-5.5/
%{_libdir}/pkgconfig/mission-control-plugins.pc
%{_libdir}/libmission-control-plugins.so
%{_mandir}/man8/mission-control-5.8*


%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:5.16.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 14 2015 Rex Dieter <rdieter@fedoraproject.org> 1:5.16.3-5
- hard-code mc_plugindir macro, add %%check to verify correctness

* Wed Oct 14 2015 Rex Dieter <rdieter@fedoraproject.org> - 1:5.16.3-4
- -devel: tighten subpkg dep via %%{?_isa}, rely on pkgconfig auto deps
- tighten file lists, track libsoname
- own /usr/lib*/mission-control-plugins.0
- %%build: drop unused --enable-mcd-plugins option
- .spec cosmetics, drop Group: tags

* Sun Jul 19 2015 Peter Robinson <pbrobinson@fedoraproject.org> 1:5.16.3-3
- Use %%license
- Don't fail build on check fail (fix FTBFS)

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:5.16.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 29 2014 Peter Robinson <pbrobinson@fedoraproject.org> 1:5.16.3-1
- Update to 5.16.3

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:5.16.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jun 11 2014 Debarshi Ray <rishi@fedoraproject.org> - 1:5.16.2-1
- Update to 5.16.2

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:5.16.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 27 2014 Brian Pepple <bpepple@fedoraproject.org> - 1:5.16.1-1
- Update to 5.16.1.

* Wed Oct 30 2013 Rex Dieter <rdieter@fedoraproject.org> - 1:5.16.0-2
- --disable-upower

* Thu Oct  3 2013 Brian Pepple <bpepple@fedoraproject.org> - 1:5.16.0-1
- Update to 5.16.0.

* Thu Sep 19 2013 Debarshi Ray <rishi@fedoraproject.org> - 1:5.15.1-1
- Update to 5.15.1

* Thu Sep 19 2013 Debarshi Ray <rishi@fedoraproject.org> - 1:5.15.0-4
- Enable the Python tests

* Thu Sep 19 2013 Debarshi Ray <rishi@fedoraproject.org> - 1:5.15.0-3
- Add %%check to run the upstream test suite on each build

* Mon Aug 26 2013 Kalev Lember <kalevlember@gmail.com> - 1:5.15.0-2
- Fix the build

* Sun Aug  4 2013 Peter Robinson <pbrobinson@fedoraproject.org> 1:5.15.0-1
- Update to 5.15.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:5.14.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Debarshi Ray <rishi@fedoraproject.org> - 1:5.14.1-3
- Remove rpath and omit some unused direct shared library dependencies.

* Thu Jun 20 2013 Matthias Clasen <mclasen@redhat.com> - 1:5.14.1-2
- Install NEWS instead of ChangeLog

* Fri May  3 2013 Brian Pepple <bpepple@fedoraproject.org> - 1:5.14.1-1
- Update to 5.14.1.
- Drop defattr. No longer needed.
- Drop ignore gnome keyring patch. Fixed upstream.

* Thu Jan 24 2013 Peter Robinson <pbrobinson@fedoraproject.org> 1:5.14.0-2
- Add patch for upstream b.fd.o # 59468

* Wed Oct  3 2012 Brian Pepple <bpepple@fedoraproject.org> - 1:5.14.0-1
- Update to 5.14.0

* Thu Sep 20 2012 Brian Pepple <bpepple@fedoraproject.org> - 1:5.13.2-1
- Update to 5.13.2.

* Thu Sep  6 2012 Brian Pepple <bpepple@fedoraproject.org> - 1:5.13.1-1
- Update to 5.13.1.

* Mon Jul 23 2012 Brian Pepple <bpepple@fedoraproject.org> - 1:5.13.0-1
- Update to 5.13.0.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:5.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 11 2012 Brian Pepple <bpepple@fedoraproject.org> - 1:5.12.1-1
- Update to 5.12.1.

* Mon Apr  2 2012 Brian Pepple <bpepple@fedoraproject.org> - 1:5.12.0-1
- Update to 5.12.0.

* Wed Feb 22 2012 Brian Pepple <bpepple@fedoraproject.org> - 1:5.11.0-1
- Update to 5.11.0
- Bump minimum version of tp-glib.
